Retrieve a list of all the keys
Retrieve a list of all the keys for an account. Supported key types include ingestion and service. Use the type parameter to filter which type of keys to retrieve.
curl --request GET \
--url https://api.mezmo.com/v1/config/keys \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v1/config/keys"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v1/config/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "629e3f7e62295be60488fb26",
"key": "7b273eb8adc962f2711ad760730debb0",
"name": "servergroup_0_ingestion",
"type": "ingestion",
"created": 1654538253244
}
]{
"error": "\"type\" must be one of [ingestion, service, all]",
"code": "BadRequest",
"status": "error"
}Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Query Parameters
The type of key to retrieve. Defaults to "all"
ingestion, service, all Response
A list of keys is returned on success.
The ID of the key
"629e3f7e62295be60488fb26"
A secret key which can be used to authenticate requests to Mezmo.
"7b273eb8adc962f2711ad760730debb0"
A user friendly name for the key
30"servergroup_0_ingestion"
The type of the key
ingestion, service "ingestion"
The time the key was created as a Unix timestamp in milliseconds
1654538253244
Was this page helpful?

